- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPASTaperedCapsule Class Reference
[COLLADA Document Object Model.]

A COLLADA physics tapered capsule. More...

`#include <FCDPhysicsAnalyticalGeometry.h>`

Inheritance diagram for FCDPASTaperedCapsule:

List of all members.

## Public Member Functions
| FCDPASTaperedCapsule (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDPASTaperedCapsule ()
| Destructor.
virtual GeomType | GetGeomType () const
| Retrieves the analytical geometry type for this class.
virtual float | CalculateVolume () const
| Calculates the volume of this analytical geometry.
virtual FCDPhysicsAnalyticalGeometry * | Clone (FCDPhysicsAnalyticalGeometry *clone=NULL, bool cloneChildren=false) const
| Copies the physics tapered capsule into a clone.
## Public Attributes
FMVector2 | radius2
| The second radius in the X direction and Z direction of the capsule.

## Detailed Description

A COLLADA physics tapered capsule.

## Constructor & Destructor Documentation

FCDPASTaperedCapsule::FCDPASTaperedCapsule | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Create new analytical geometries by using FCDPhysicsShape::CreateAnalyticalGeometry function. Parameters:
  | document | The COLLADA document that contains this physics tapered capsule.

## Member Function Documentation

virtual float FCDPASTaperedCapsule::CalculateVolume | ( |  | ) | const`[virtual]`

| Calculates the volume of this analytical geometry. Returns: The volume. Reimplemented from FCDPASCapsule.

virtual FCDPhysicsAnalyticalGeometry* FCDPASTaperedCapsule::Clone | ( | FCDPhysicsAnalyticalGeometry * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the physics tapered capsule into a clone. Parameters:
  | clone | The empty clone. If this pointer is NULL, a analytical geometry will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone.

virtual GeomType FCDPASTaperedCapsule::GetGeomType | ( |  | ) | const`[inline, virtual]`

| Retrieves the analytical geometry type for this class. Returns: The analytical geometry type: TAPERED_CAPSULE. Reimplemented from FCDPASCapsule.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsAnalyticalGeometry.h